Subject: [manet] Patches for NRLSMF

From: Yann <[email-masked]>
Date: Mon, 30 Jul 2007 19:54:58 +0200 (CEST)

Hello all,

I use nrlsmf and made some modifications/corrections I'd like to share with anyone interested.
Here are 3 patches that can be applied independently since they don't affect the same files.

1/ rewriteTTL.patch
This patch adds a new functionality to nrlsmf that allows to overwrite the TTL of locally-generated packets (the application I use sends TTL=1 packets since its traffic is not supposed to be forwarded normally).

2/ fragmentOffset.patch
This patch fixes some issues related to flags and offset when playing with fragmented IP packets.

3/ forwardFragment.patch
This patch is my little contribution to an issue which coincidently began to be discussed last week by Teco Boot. My problems was that nrlsmf only forwarded the first fragment (others were considered as duplicates). I simply added the offset in the key for DPD and now all fragments are forwared.
I'm very aware that it is only a quick and ugly solution but I don't need more for now.

Also, I'd like to mention that these patches are incomplete since I didn't take into consideration IPv6 and IPSec. However, they should work well for IPv4.

I hope they'll be appreciated,

Have a nice day,
Yann

---------------------------------
 Ne gardez plus qu'une seule adresse mail ! Copiez vos mails vers Yahoo! Mail 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet